{ INCLUDE\TCPERR.INC }

{ definitions of error codes that pc/tcp system calls can return }

CONST

     NET_NOERR                = 0;
     NET_ERR_INUSE            = 1;
     NET_DOS_ERR              = 2;
     NET_ERR_NOMEM            = 3;
     NET_ERR_NOTNETCONN       = 4;
     NET_ERR_ILLEGALOP        = 5;
     NET_ERR_BADPKT           = 6;
     NET_ERR_NOHOST           = 7;
     NET_ERR_CANTOPEN         = 8;
     NET_ERR_NET_UNREACHABLE  = 9;
     NET_ERR_HOST_UNREACHABLE = 10;
	 NET_SUB_NO_ERROR         = 0;    { no error }
	 NET_SUB_ICMP_UNR         = 1;    { icmp dest. unreachable }
	 NET_SUB_ARP              = 2;    { direct arp failed }
	 NET_SUB_IF_FAILURE       = 3;    { hardware failure }
	 NET_SUB_IF_UNR           = 4;    { hardware link failure }
	 NET_SUB_NOROUTE          = 5;    { no route }
	 NET_SUB_GW               = 6;    { first hop gateway down }
     NET_ERR_PROT_UNREACHABLE = 11;
     NET_ERR_PORT_UNREACHABLE = 12;
     NET_ERR_TIMEOUT          = 13;
     NET_ERR_HOSTUNKNOWN      = 14;
     NET_ERR_NOSERVERS        = 15;
     NET_ERR_SERVER_ERR       = 16;
     NET_ERR_BADFORMAT        = 17;
     NET_ERR_BADARG           = 18;
     NET_ERR_EOF              = 19;
     NET_ERR_RESET            = 20;
     NET_ERR_WOULD_BLOCK      = 21;
     NET_ERR_UNBOUND          = 22;
     NET_ERR_NODESC           = 23;
     NET_ERR_BADSYSCALL       = 24;
     NET_ERR_CANTBROADCAST    = 25;
     NET_ERR_NOTESTAB         = 26;
     NET_ERR_REENTRY          = 27;
     NET_ERR_ICMPMSG          = 28; { Other ICMP }
         NET_SUB_ICMP_UNREC       = 7;  { Unknown other ICMP }
         NET_SUB_CANTFRAG         = 8;  { DESTIN: code 4 }
         NET_SUB_SRCR_FAIL        = 9;  { DESTIN: code 5 }
         NET_SUB_SORCEQ           = 10; { Source Quench }
         NET_SUB_TIMEX            = 11; { Time Exceeded }
         NET_SUB_PARAM            = 12; { Parameter Problem }

     MAX_PCTCP_ERR            = 28; { Highest numbered error }
     MAX_PCTCP_SUBERR         = 12; { Highest sub-error code }

